# gradleProperty

abstract fun gradleProperty(propertyName: String): Provider<String>
abstract fun gradleProperty(propertyName: Provider<String>): Provider<String>

Creates a Provider whose value is fetched from the Gradle property of the given name.

#### Return

the provider for the Gradle property, never returns null

#### Since

6.2

#### Parameters

propertyName

the name of the Gradle property